org.apache.sysds.runtime.instructions

## Class InstructionParser

- java.lang.Object
- - org.apache.sysds.runtime.instructions.InstructionParser

Direct Known Subclasses:
  CPInstructionParser, FEDInstructionParser, GPUInstructionParser, SPInstructionParser

    public class InstructionParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InstructionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Instruction[]` `parseMixedInstructions(String str)`
`static Instruction` `parseSingleInstruction(String str)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstructionParser

    public InstructionParser()

### Method Detail

#### parseSingleInstruction

    public static Instruction parseSingleInstruction(String str)

#### parseMixedInstructions

    public static Instruction[] parseMixedInstructions(String str)